
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>查看oracle执行计划方法（ 二） / iVAN</title>

    <meta name="description" content="查看oracle执行计划方法（ 二） 1.Cardinality(基数)/ rows Cardinality值表示CBO预期从一个行源(row source)返回的记录数,这个行源可能是一个表,一个索引,也可能是一个子查询.   在Oracle 9i中的执行计划中,Cardinality缩写成Card. 在10g中,Card值被rows替换.   这是9i的一个执行计划,我们可以看到关键字Card:        执行计划 -------------------------------------------------------">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">查看oracle执行计划方法（ 二）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1、Cardinality（基数）/ rows</strong></p>
<p>Cardinality值表示CBO预期从一个行源（row source）返回的记录数，这个行源可能是一个表，一个索引，也可能是一个子查询。   在Oracle 9i中的执行计划中，Cardinality缩写成Card。 在10g中，Card值被rows替换。</p>
<p> </p>
<p>这是9i的一个执行计划，我们可以看到关键字Card：</p>
<p>       执行计划</p>
<p>----------------------------------------------------------</p>
<p>   0      SELECT STATEMENT Optimizer=CHOOSE (Cost=2 Card=1 Bytes=402)</p>
<p>   1    0   TABLE ACCESS (FULL) OF 'TBILLLOG8' (Cost=2 Card=1 Bytes=402)</p>
<p> </p>
<p>Oracle 10g的执行计划，关键字换成了rows：</p>
<p>执行计划</p>
<p>----------------------------------------------------------</p>
<p>Plan hash value: 2137789089</p>
<p>--------------------------------------------------------------------------------</p>
<p>| Id  | Operation                         | Name    | Rows  | Bytes | Cost (%CPU)| Time     |</p>
<p>---------------------------------------------------------------------------------------------</p>
<p>|   0 | SELECT STATEMENT                  |         |  8168 | 16336 |    29   (0)| 00:00:01 |</p>
<p>|   1 |  COLLECTION ITERATOR PICKLER FETCH| DISPLAY |  8168 | 16336 |    29   (0)| 00:00:01 |</p>
<p>---------------------------------------------------------------------------------------------</p>
<p> </p>
<p>Cardinality的值对于CBO做出正确的执行计划来说至关重要。 如果CBO获得的Cardinality值不够准确（通常是没有做分析或者分析数据过旧造成），在执行计划成本计算上就会出现偏差，从而导致CBO错误的制定出执行计划。</p>
<p> 在多表关联查询或者SQL中有子查询时，每个关联表或子查询的Cardinality的值对主查询的影响都非常大，甚至可以说，CBO就是依赖于各个关联表或者子查询Cardinality值计算出最后的执行计划。</p>
<p>  对于多表查询，CBO使用每个关联表返回的行数（Cardinality）决定用什么样的访问方式来做表关联（如Nested loops Join 或 hash Join）。</p>
<p>多表连接的三种方式详解 HASH JOIN MERGE JOIN NESTED LOOP  参考博客: <a href="http://blog.csdn.net/cymm_liu/article/details/7996599" rel="external nofollow noreferrer">http://blog.csdn.net/cymm_liu/article/details/7996599</a></p>
<p>对于子查询，它的Cardinality将决定子查询是使用索引还是使用全表扫描的方式访问数据。</p>
<p><strong>2、执行计划中字段解释：</strong></p>
<p>      </p>
<p> ID: 一个序号，但不是执行的先后顺序。执行的先后根据缩进来判断。</p>
<p>       Operation： 当前操作的内容。</p>
<p>       Rows： 当前操作的Cardinality，Oracle估计当前操作的返回结果集。</p>
<p>       Cost（CPU）：Oracle 计算出来的一个数值（代价），用于说明SQL执行的代价。</p>
<p>       Time：Oracle 估计当前操作的时间。</p>
<p> </p>
<p>2、 谓词说明：</p>
<p>Predicate Information (identified by operation id):</p>
<p>---------------------------------------------------</p>
<p>   4 - access("A"."EMPNO"="B"."MGR")</p>
<p>       filter("A"."EMPNO"="B"."MGR")</p>
<p>   5 - filter("B"."MGR" IS NOT NULL)</p>
<p> </p>
<p>   <strong>    Access: 表示这个谓词条件的值将会影响数据的访问路劲（表还是索引）。</strong></p>
<p><strong>       Filter：表示谓词条件的值不会影响数据的访问路劲，只起过滤的作用。</strong></p>
<p> </p>
<p>在谓词中主要注意access，要考虑谓词的条件，使用的访问路径是否正确。</p>
<p> </p>
<p> </p>
<p>3. 统计信息说明：</p>
<p>db block gets ： 从buffer cache中读取的block的数量    </p>
<p>consistent gets： 从buffer cache中读取的undo数据的block的数量    </p>
<p>physical reads： 从磁盘读取的block的数量    </p>
<p>redo size： DML生成的redo的大小    </p>
<p>sorts (memory) ：在内存执行的排序量    </p>
<p>sorts (disk) ：在磁盘上执行的排序量    </p>
<p> </p>
<p>       Physical Reads通常是我们最关心的，如果这个值很高，说明要从磁盘请求大量的数据到Buffer Cache里，通常意味着系统里存在大量全表扫描的SQL语句，这会影响到数据库的性能，因此尽量避免语句做全表扫描，对于全表扫描的SQL语句，建议增 加相关的索引，优化SQL语句来解决。</p>
<p> </p>
<p>关于physical reads ，db block gets 和consistent gets这三个参数之间有一个换算公式：</p>
<p>       数据缓冲区的使用命中率=1 - ( physical reads / (db block gets + consistent gets) )。</p>
<p> </p>
<p>用以下语句可以查看数据缓冲区的命中率：</p>
<p>       SQL&gt;SELECT name, value FROM v$sysstat WHERE name IN ('db block gets', 'consistent gets','physical reads');</p>
<p>       NAME      VALUE<br />
---------------------------------------------------------------- ----------<br />
db block gets     254764<br />
consistent gets            <br />
   1311538<br />
physical reads      24232</p>
<p>查询出来的结果Buffer Cache的命中率应该在90％以上，否则需要增加数据缓冲区的大小。</p>
<p>Recursive Calls：  Number of recursive calls generated at both the user and system level.    </p>
<p>Oracle Database maintains tables used for internal processing. When it needs to change these tables, Oracle Database generates an internal SQL statement, which in turn generates a recursive call. In short, recursive calls are basically<br />
 SQL performed on behalf of your SQL. So, if you had to parse the query, for example, you might have had to run some other queries to get data dictionary information. These would be recursive calls. Space management, security checks, calling PL/SQL from<br />
 SQL—all incur recursive SQL calls。</p>
<p> </p>
<p>DB Block Gets： Number of times a CURRENT block was requested.</p>
<p>Current mode blocks are retrieved as they exist right now, not in a consistent read fashion. Normally, blocks retrieved for a query are retrieved as they existed when the query began. Current mode blocks are retrieved as they exist right now, not from a<br />
 previous point in time. During a SELECT, you might see current mode retrievals due to reading the data dictionary to find the extent information for a table to do a full scan (because you need the "right now" information, not the consistent read). During a<br />
 modification, you will access the blocks in current mode in order to write to them. (DB Block Gets:请求的数据块在buffer能满足的个数)<br />
       当前模式块意思就是在操作中正好提取的块数目，而不是在一致性读的情况下而产生的块数。正常的情况下，一个查询提取的块是在查询开始的那个时间点上存在的数据块，当前块是在这个时刻存在的数据块，而不是在这个时间点之前或者之后的数据块数目。</p>
<p> </p>
<p>Consistent Gets： Number of times a consistent read was requested for a block.</p>
<p>This is how many blocks you processed in "consistent read" mode. This will include counts of blocks read from the rollback segment in order to roll back a block. This is the mode you read blocks in with a SELECT, for example. Also, when you do a searched<br />
 UPDATE/DELETE, you read the blocks in consistent read mode and then get the block in current mode to actually do the modification. (Consistent Gets: 数据请求总数在回滚段Buffer中的数据一致性读所需要的数据块)<br />
       这里的概念是在处理你这个操作的时候需要在一致性读状态上处理多少个块，这些块产生的主要原因是因为由于在你查询的过程中，由于其他会话对数据块进行操作，而对所要查询的块有了修改，但是由于我们的查询是在这些修改之前调用的，所以需要对回滚段中的数据块的前映像进行查询，以保证数据的一致性。这样就产 生了一致性读。</p>
<p> </p>
<p>Physical Reads： Total number of data blocks read from disk. This number equals the value of "physical reads direct" plus all reads into buffer cache. (Physical Reads:实例启动后，从磁盘读到Buffer<br />
 Cache数据块数量)</p>
<p>就是从磁盘上读取数据块的数量，其产生的主要原因是：<br />
       （1） 在数据库高速缓存中不存在这些块<br />
       （2） 全表扫描<br />
       （3） 磁盘排序<br />它们三者之间的关系大致可概括为：<br />
       逻辑读指的是Oracle从内存读到的数据块数量。一般来说是'consistent gets' + 'db block gets'。当在内存中找不到所需的数据块的话就需要从磁盘中获取，于是就产生了'physical reads'。</p>
<p> </p>
<p>Sorts(disk):</p>
<p>    Number of sort operations that required at least one disk write. Sorts that require I/O to disk are quite resource intensive. Try increasing the size of the initialization parameter SORT_AREA_SIZE.</p>
<p>bytes sent via SQL*Net to client:<br />
    Total number of bytes sent to the client from the foreground processes.</p>
<p>bytes received via SQL*Net from client:<br />
    Total number of bytes received from the client over Oracle Net.</p>
<p>SQL*Net roundtrips to/from client:<br />
    Total number of Oracle Net messages sent to and received from the client.</p>
<p> </p>
<p> </p>
<p>更多内容参考Oracle联机文档：</p>
<p>       Statistics Descriptions</p>
<p>       <a href="http://download.oracle.com/docs/cd/E11882_01/server.112/e10820/stats002.htm#i375475" rel="external nofollow noreferrer">http://download.oracle.com/docs/cd/E11882_01/server.112/e10820/stats002.htm#i375475</a></p>
<p> </p>
<p> </p>
<p>3. 动态分析</p>
<p>       如果在执行计划中有如下提示：</p>
<p>              Note</p>
<p>              ------------</p>
<p>                     -dynamic sampling used for the statement</p>
<p>      </p>
<p>       这提示用户CBO当前使用的技术，需要用户在分析计划时考虑到这些因素。 当出现这个提示，说明当前表使用了动态采样。 我们从而推断这个表可能没有做过分析。</p>
<p> </p>
<p> </p>
<p>这里会出现两种情况：</p>
<p>（1）       如果表没有做过分析，那么CBO可以通过动态采样的方式来获取分析数据，也可以或者正确的执行计划。</p>
<p>（2）       如果表分析过，但是分析信息过旧，这时CBO就不会在使用动态采样，而是使用这些旧的分析数据，从而可能导致错误的执行计划。</p>
<p> </p>
<p> </p>
<p> </p>
<p>总结：</p>
<p>       在看执行计划的时候，除了看执行计划本身，还需要看谓词和提示信息。 通过整体信息来判断SQL 效率。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 13:58:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/read/" title="read">read</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>查看oracle执行计划方法（ 二）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNn02JM.html" rel="bookmark">查看oracle执行计划方法（ 一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于oracle执行计划的概念,参考之前的博客:http://blog.csdn.net/cymm_liu/article/details/7996599 如果要分析某条SQL的性能问题,通常我们要先看SQL的执行计划,看看SQL的每一步执行是否存在问题. 如果一条SQL平时执行的好好的,却有一天突然性能很差,如果排除了系统资源和阻塞的原因,那么基本可以断定是执行计划出了问题. 看懂执行计划也就成了SQL优化的先决条件. 这里的SQL优化指的是SQL性能问题的定位,定位后就可以解决问题. 一． 			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p56Olaz.html" rel="bookmark">查看Oracle执行计划的几种常用方法-系列3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				续上篇:http://blog.csdn.net/bisal/article/details/39225373 4. 10046事件 通过10046事件也可以查看目标SQL的执行计划.像10046这种事件,都不是Oracle官方文档中可以查询到的,这些事件一般用于调试目的,因此往往可以使用他们找到问题更详细的信息. 10046事件和之前的explain plan.DBMS_XPLAN包以及AUTOTRACE开关的区别在于,10046事件产生的trc文件中明确显示了目标SQL实际执行计划中每一步所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOW98b.html" rel="bookmark">查看Oracle执行计划的几种常用方法-系列1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL的执行计划实际代表了目标SQL在Oracle数据库内部的具体执行步骤,作为调优,只有知道了优化器选择的执行计划是否为当前情形下最优的执行计划,才能够知道下一步往什么方向. 执行计划的定义:执行目标SQL的所有步骤的组合. 我们首先列出查看执行计划的一些常用方法: 1. explain plan命令 PL/SQL Developer中通过快捷键F5就可以查看目标SQL的执行计划了.但其实按下F5后,实际后台调用的就是explain plan命令,相当于封装了该命令. explain plan			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Ao7Bp.html" rel="bookmark">如何查看Oracle执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1)最简单的方法是,用PL/SQL 工具登录进去后,选中sql语句,然后按F5: 2)用PL/SQL工具登录进去后,打开command窗口 a) 执行:explain plan for select * from dual;--红色部分可替换为你的sql语句 b) 执行:select * from table(dbms_xplan.display()),即可获得执行计划; 3)用sqlplus命令登录,执行set autotrace traceonly;即可获得执行计划: 本栏目更多精彩内容:h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2Dd6p.html" rel="bookmark">如何分析Oracle执行计划（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在从执行计划中判断出哪个表为驱动表后,根据我们的知识判断该表作为驱动表(就像上面判断ABC表那样)是否合适,如果不合适,对SQL语句进行更改,使优化器可以选择正确的驱动表. 1.对于RBO优化器: 在ORACLE文档上说:对于RBO来说,以from 子句中从右到左的顺序选择驱动表,即最右边的表为第一个驱动表,这是其英文原文:All things being equal RBO chooses the driving order by taking the tables in the FROM c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVDa2p.html" rel="bookmark">查看Oracle执行计划的几种常用方法-系列2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				续上篇:http://blog.csdn.net/bisal/article/details/38919181 3. AUTOTRACE开关 SQLPLUS中打开AUTOTRACE开关可以得到SQL的执行计划. 从提示可以看到AUTOTRACE有几个选项: OFF/ON/TRACEONLY/EXPLAIN/STATISTICS. 实验: 1. 执行SET AUTOTRACE ON: 2. 执行SET AUTOTRACE TRACEONLY: 3. 执行SET AUTOTRACE TRACEONL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNy50M.html" rel="bookmark">【Oracle】如何查看sql 执行计划的历史变更</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   今天中午,突然接收到active session 数目飙高的报警,查看数据库,对于一个OLTP 类型的查询本应该走index range scan 却变成全部是 direct path read ,所有的sql 走了全表扫描.悲剧的是那个表是一个历史表 185G..故造成了许多session堆积,前台应用受到影响.回到问题本身,如果查看sql执行计划的变更?? oracle 10G 以后可以通过下面的三个视图查询到sql执行计划的历史信息: DBA_HIST_SQL_PLAN DBA_HI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGARZ6M.html" rel="bookmark">ORACLE执行计划的查看</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 一个系统在刚开始的时候,由于数据库中数据量不大,开发人员的主要精力都在业务与功能实现上.系统完成部署上线后随着时间的累积,每个表中的数据都在不断增长,我们往往会发现系统越来越慢,这可能是程序设计不合理,也可能是代码质量不高,也可能是业务流程问题,但是作为DBA或者负责数据库调优的工程师更应该想想是否是数据库方面的问题.数据库问题有很多种,作为开发人员主要关注SQL语句的合理性,至于数据库的其它问题可以暂时交给DBA去处理.对SQL语句调优,很重要的一点是查看SQL语句的执行计划.本文将简单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Y984z.html" rel="bookmark">Oracle 执行计划（Explain Plan） 说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果要分析某条SQL的性能问题,通常我们要先看SQL的执行计划,看看SQL的每一步执行是否存在问题. 如果一条SQL平时执行的好好的,却有一天突然性能很差,如果排除了系统资源和阻塞的原因,那么基本可以断定是执行计划出了问题.              看懂执行计划也就成了SQL优化的先决条件. 这里的SQL优化指的是SQL性能问题的定位,定位后就可以解决问题.     一．         查看执行计划的三种方法 1.1 设置autotrace 序号 命令 解释 1 SET AUTOTRACE 			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2VjBb.html" rel="bookmark" class="title">详解CSS定义HR水平线的几种样式</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQK1Wp.html" rel="bookmark" class="title">web设计和设计流程 有趣的web交互设计</a>
					<div>
						文章描述:创意十足的web布局及交互设计. 富有灵感和创意的设计与一般设计的区别在于,它不那么容易被想到和实现,一旦它被实现,一个非常有趣并且迷人的网站就诞生了. 网站几乎每天都能见到,但是不是每一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwNNnp.html" rel="bookmark" class="title">论坛备案带来的机遇以及应对</a>
					<div>
						论坛备案无疑加大了个人站长的建站难度,但是也带来了一些机遇． 首先个人论坛的关闭导致大量论坛用户闲置就是一个很大的机遇． 虽然这次信息产业部做的有些过了头,限制太过于严格了, 但是对于随便搞个空间就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxJj7z.html" rel="bookmark" class="title">java io学习（四） ObjectInputStream 和 ObjectOutputStream</a>
					<div>
						本章,我们学习ObjectInputStream 和 ObjectOutputStream ObjectInputStream 和 ObjectOutputStream 介绍 ObjectInputS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKWEVp.html" rel="bookmark" class="title">思科转华为单臂路由与vlan划分的简单方法</a>
					<div>
						思科转华为 单臂路由 与vlan划分如此简单(有图有真相) 思科拓扑图如下: 华为拓扑图如下: 思科: 第一步分别给电脑[PC]配置IP地址 这样分别给电脑配ip地址192.168.10.10/24  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlXrvb.html" rel="bookmark" class="title">Windows 8 Store Apps学习&lpar;8&rpar; WebView控件</a>
					<div>
						介绍 重新想象 Windows 8 Store Apps 之 WebView 演示 WebView 的基本应用 演示 WebView 如何与 JavaScript 交互 通过 Share Contra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAyBLb.html" rel="bookmark" class="title">Word入门动画教程78：组织结构图</a>
					<div>
						组织结构图是表明一个单位各级部门.人员之间隶属关系的示意框图.下面,我们通过制作一个学校的组织结构图来看看它的使用方法. 一.插入组织结构图 1.执行&quot;插入&quot;→&quot;图片→& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw4B8z.html" rel="bookmark" class="title">Lightroom结合PS调出静物照片小清新效果</a>
					<div>
						关于先用LR调节色温再用PS调整效果的教程已经出过不少,POCOerlucy_11也来分享一个,教你将拍灰暗了的照片来个华丽变身,调成明媚小清新色调.如果你还有更好的方法,欢迎分享交流. 第一步: 用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72AP4p.html" rel="bookmark" class="title">windows media player怎么看歌曲的详细内容</a>
					<div>
						  1:从列表中看出来.windows media player播发器默认才几个列表的资料.可以自己手动添加列.点击&quot;组织&quot;--&quot;布局&quot;--&quot;选择列& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBvlaz.html" rel="bookmark" class="title">Win7当前配色方案已超出其允许的内存的解决方案</a>
					<div>
						  解决方案: 1.出现该问题时,可打开任务管理器的性能选项卡,看内存使用比率是否达到或接近100%.如出现此类情况,可在进程中查看具体是哪些程序占用内存较高.可将其终止运行(可能会引起与此程序相关的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXJXrp.html" rel="bookmark" class="title">32位和64位的win7系统的选择</a>
					<div>
						  随着win7系统逐渐成为目前pc机的主流系统,很多用户都已经开始准备将自己的个人计算机或者公司计算机的系统替换成了win7系统.win7的老用户可能会比较了解,win7系统会有x86即32位(32 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYvEXb.html" rel="bookmark" class="title">Windows7旗舰版系统下加密WPS文档的两个方法</a>
					<div>
						  方法一. 1.首先在win7系统下打开一个WPS文档,然后将文档另存为,弹出&quot;另存为&quot;选项,点击右下角&quot;加密&quot;按钮; 2.点击加密按钮后,就会弹出一个对话框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJWe6p.html" rel="bookmark" class="title">笔记本怎么看型号</a>
					<div>
						  要查看笔记本型号主要是2种方法,一种是查看笔记本机身上的标注信息,另外一种是通过软件查询,下面详细介绍下. 一.查看笔记本机身铭牌等标注 一般笔记本A面顶盖上会印有笔记本品牌,而型号是具体的简短数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaN1kz.html" rel="bookmark" class="title">&excl;Videolicious发布新版 帮您速度做视频</a>
					<div>
						Videolicious 近日,据搜狐报道,Videolicious是在iOS平台上广受欢迎的视频制作应用.目前已推出2.0版本,它使视频创建更简单.更快,它允许用户建立自己的销售,营销,实时通信视频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx76mb.html" rel="bookmark" class="title">SQL SERVER错误：已超过了锁请求超时时段。 &lpar;Microsoft SQL Server，错误&colon; 1222&rpar;</a>
					<div>
						    在SSMS(Microsoft SQL Server Management Studio)里面,查看数据库对应的表的时候,会遇到&quot;Lock Request time out peri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ1D6z.html" rel="bookmark" class="title">多应用-求一套Android代码生产多个应用的方法</a>
					<div>
						问题描述 求一套Android代码生产多个应用的方法 我们目前有一个应用,现在需要多部署几个功能基本类似的应用,不同的地方包括欢迎页面.桌面图标.应用名称等,请问这个怎么实现 解决方案 补充 用的是E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw874M.html" rel="bookmark" class="title">武汉IC差异化战略，从存储器开始打通&OpenCurlyDoubleQuote;中国芯&rdquo;的&OpenCurlyDoubleQuote;任督二脉&rdquo;？</a>
					<div>
						随着国家存储器基地落户湖北,该省的产业链条也在加速完善,以冲击中国IC产业第四极. 10月25日,获悉,行业内平台之一IC咖啡已与光谷金控联合孵化器.光谷集成电路产业联盟进行战略合作,湖北省的目标是, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW9lVp.html" rel="bookmark" class="title">《ADOBE ILLUSTRATOR CC标准培训教材》&mdash;第1章1&period;3节Adobe Illustrator CC界面浏览</a>
					<div>
						1.3 Adobe Illustrator CC界面浏览 ADOBE ILLUSTRATOR CC标准培训教材 用鼠标双击Adobe Illustrator CC软件图标(如图1-3-1所示),屏幕上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKqA6b.html" rel="bookmark" class="title">strstr函数-书本上的C语言grep程序一个点理解不了，求大家为我解析</a>
					<div>
						问题描述 书本上的C语言grep程序一个点理解不了,求大家为我解析 #include #include #define MAXLINE 1000 #define getline _getline in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKXXDb.html" rel="bookmark" class="title">卡夫剑指吉百利：博弈巧克力</a>
					<div>
						卡夫想赢得聪明,吉百利想赌得精彩,卡夫对吉百利的收购,就是一场勾心斗角的商业博弈. □文/本刊记者 赵 昕 特约撰稿 杨梦月 2009年11月9日,卡夫食品正式对吉百利发起恶意收购,报价比两个月前还少 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkZJvM.html" rel="bookmark" class="title">《电子元器件的可靠性》&mdash;&mdash;习题</a>
					<div>
						习题 1.对飞机上电子设备用的某种电子元器件进行现场无替换试验,其元件数n=39,记录下9次失效时间分别为:423,1090,2386,3029,3652,3925,8967,10957,11358小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjoEQM.html" rel="bookmark" class="title">identifier标签语句</a>
					<div>
						摘抄自 &quot;犀牛书&quot; (之前挑重点看的,这下不小心翻到了这个,看来有时间还是得从头到尾过一遍,吼吼) Only break and continue can use identifi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk92ez.html" rel="bookmark" class="title">《Python数据可视化编程实战》&mdash;&mdash;1&period;9　为项目设置matplotlib参数</a>
					<div>
						1.9 为项目设置matplotlib参数 本节介绍matplotlib使用的各种配置文件的位置,以及使用这些配置文件的意义.同时还将介绍配置文件中的具体配置项. 1.9.1 准备工作 如果不想在每次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE1AOz.html" rel="bookmark" class="title">域名有风险  投资须谨慎</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 说实话互联网就是一个大熔炉,很多网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2xdWM.html" rel="bookmark" class="title">跨境电子商务正在成为重庆外贸新机遇</a>
					<div>
						摘要: 跨境 电子商务 正在成为重庆外贸新机遇.6月17日,重庆跨境贸易电子商务公共服务平台正式上线,记者今日从重庆海关获悉,截止7月11日,该平台共验放进口清单3326票,货值人民币 跨境 电子商务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NRrVp.html" rel="bookmark" class="title">一个十万火急的问题！</a>
					<div>
						问题描述 stringstr=&quot;1,2,3,4,5&quot;;stringsql=&quot;select*fromuserswhereidin(&quot;+str+&quot;)&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAlKDp.html" rel="bookmark" class="title">php数据类型 - Boolean 布尔类型</a>
					<div>
						语法: 要指定一个布尔值,使用关键字 TRUE 或 FALSE .两个都不区分大小写.     代码如下 复制代码 &lt;?php $foo  =  True ;  // assign the va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2qWBz.html" rel="bookmark" class="title">mysql下完整导出导入实现方法&lowbar;Mysql</a>
					<div>
						昨日中午帮鲤鱼给某大型团购网站转移数据库服务器,这篇文章本该是昨天转移完成后总结发出来的,但由于一些原因没有及时写出来,现在赶快补上. 首先大概环境是这样的,旧数据库服务器mysql版本5.0 cen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqWo3p.html" rel="bookmark" class="title">我这样写有错吗？为什么当没数据的时候不进第二个if判断&period;&period;&period;</a>
					<div>
						问题描述 &lt;s:if test=&quot;userList!=null&quot;&gt;&lt;s:iterator value=&quot;userList&quot; id=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqvkNb.html" rel="bookmark" class="title">关于抄不抄作业的讨论</a>
					<div>
						看到了@pennydada转的微博:(@pennydada是我博士学习期间的同班同学,超级聪明的南方女孩.):@实用小百科 : [美国人带孩子的17个绝招]一网友在美国生了2个孩子,生育前后参加培训, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
